Bug 293032 - Filters not allways working
Summary: Filters not allways working
Status: RESOLVED FIXED
Alias: None
Product: Akonadi
Classification: Unclassified
Component: Mail Filter Agent (show other bugs)
Version: 4.8
Platform: Ubuntu Packages Linux
: NOR normal with 5 votes (vote)
Target Milestone: ---
Assignee: kdepim bugs
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-02-01 10:13 UTC by karaluh
Modified: 2013-02-28 08:33 UTC (History)
3 users (show)

See Also:
Latest Commit:
Version Fixed In: 4.10.1


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description karaluh 2012-02-01 10:13:20 UTC
Version:           4.8 (using KDE 4.8.0) 
OS:                Linux

I've got a filter set up that for some reason doesn't allways work. It is supposed to process all incoming mails, but it doesn't. The filter is set up properly, because when i apply it manualy, the message is processed.

Reproducible: Sometimes

Steps to Reproduce:
.


Expected Results:  
.

OS: Linux (i686) release 3.0.0-15-generic
Compiler: gcc
Comment 1 Laurent Montel 2012-02-01 15:17:34 UTC
Please add more infos.

Questions:
- imap ? pop3 ?
- which type of filter ?
- report log from kmail->configure-tools
- etc.

Regards.

With this bug report we can't debug it. For example I have 80 filters which works fine here...
Comment 2 karaluh 2012-02-02 07:37:54 UTC
(In reply to comment #1)
> Please add more infos.
> Questions:
> - imap ? pop3 ?

IMAP.

> - which type of filter ?

What do you mean?

> - report log from kmail->configure-tools

Logging was disabled, as soon as I'm hit by the bug, I'll post the log.

> With this bug report we can't debug it. For example I have 80 filters which
> works fine here...

I understand, I just didn't know what additional information I could give.
Comment 3 Laurent Montel 2012-02-02 08:47:57 UTC
Could you paste your filter config ?
thanks
Comment 4 karaluh 2012-02-02 09:04:05 UTC
[Filter #0]
Applicability=0
AutomaticName=false
ConfigureShortcut=true
ConfigureToolbar=false
Enabled=true
StopProcessingHere=true
ToolbarName=Wykrywanie spamu
action-args-0=informatyk IMAP/Skrzynka odbiorcza/Trash
action-args-1=P
action-args-2=R
action-name-0=transfer
action-name-1=set status
action-name-2=set status
actions=3
apply-on=check-mail,manual-filtering
contentsA=(yes)|(spam\\b)
contentsB=YES
fieldA=X-Bogosity
fieldB=X-Spam-Tag
funcA=regexp
funcB=contains
identifier=JZY840BXbzhtPYY6
name=Wykrywanie spamu
operator=or
rules=2

[General]
filters=1
Comment 5 karaluh 2012-02-03 13:42:01 UTC
Further info: Filter semi works. It marks the e-mail as spam and as read, but doesn't move it to thrash. I don't know if this matters, but the e-mail should be moved to another IMAP account's folder. This is the log:
------------------------------
[13:11:55] Evaluating filter rules: (match all of the following) "Subject" <contains> "Raport z wykonania kopii zapasowej w dniu"
[13:11:55] 0 = "Subject" <contains> "Raport z wykonania kopii zapasowej w dniu" (Prestiżowe szkolenia IAITAM już w Polsce - Akademia BTC)
[13:11:55] Evaluating filter rules: (match all of the following) "From" <contains> "exact"
[13:11:55] 0 = "From" <contains> "exact" (Akademia BTC <akademia@btc.com.pl>)
[13:11:55] Evaluating filter rules: (match all of the following) "From" <contains> "@ott.pl"
[13:11:55] 0 = "From" <contains> "@ott.pl" (Akademia BTC <akademia@btc.com.pl>)
[13:11:55] Evaluating filter rules: (match any of the following) "From" <contains> "klaudiusz@gryf.pl" "From" <contains> "biuro@gryf.pl" "From" <contains> "irko@gryf.pl"
[13:11:55] 0 = "From" <contains> "klaudiusz@gryf.pl" (Akademia BTC <akademia@btc.com.pl>)
[13:11:55] 0 = "From" <contains> "biuro@gryf.pl" (Akademia BTC <akademia@btc.com.pl>)
[13:11:56] 0 = "From" <contains> "irko@gryf.pl" (Akademia BTC <akademia@btc.com.pl>)
[13:11:56] Evaluating filter rules: (match all of the following) "<size>" <less-or-equal> "256000"
[13:11:56] 1 = "<size>" <less-or-equal> "256000" ( 88139 )
[13:11:56] Filter rules have matched.
[13:11:56] Applying filter action: Pipe Through "bogofilter -p -e"
[13:11:56] Evaluating filter rules: (match any of the following) "X-Bogosity" <regexp> "(yes)|(spam\b)" "X-Spam-Tag" <contains> "YES"
[13:11:56] 1 = "X-Bogosity" <regexp> "(yes)|(spam\b)" (Spam, tests=bogofilter, spamicity=0.999332, version=1.2.2)
[13:11:56] Filter rules have matched.
[13:11:56] Applying filter action: Move Into Folder "75"
[13:11:56] Applying filter action: Mark As "P"
[13:11:56] Applying filter action: Mark As "R"
------------------------------
Comment 6 András Manţia 2013-02-28 08:26:10 UTC
Fixed in KDE 4.10.1 and later by Wolfgang Rohdewald.
http://commits.kde.org/kdepim/185c572e079ef40bee2225e582c11dbdbb35840f